import {defHttp} from '/@/utils/http/axios';

// 查询 Google Ads 账户数据
export const getGoogleAdsCustomerStats = (params: {
  siteCode: string;
}) => {
  return defHttp.get({url: '/marketing/googleads/customer/stats', params});
};

// 查询 Google Ads 每日统计数据
export const getGoogleAdsDailyStats = (params: {
    siteCode: string;
    start?: string;
    end?: string;
    dateType?: string;
  }) => {
    return defHttp.get({url: '/marketing/googleads/daily/stats', params});
  };

// 查询 Google Ads 广告系列统计数据
export const getGoogleAdsCampaignStats = (params: {
  siteCode: string;
  start?: string;
  end?: string;
  dateType?: string;
}) => {
  return defHttp.get({url: '/marketing/googleads/campaign/stats', params});
};

// 查询 Google Ads 关键词统计数据
export const getGoogleAdsKeywordStats = (params: {
  siteCode: string;
  start?: string;
  end?: string;
  dateType?: string;
}) => {
  return defHttp.get({url: '/marketing/googleads/keyword/stats', params});
};

// 查询 Google Ads 展示位置统计数据
export const getGoogleAdsPlacementStats = (params: {
  siteCode: string;
  start?: string;
  end?: string;
  dateType?: string;
}) => {
  return defHttp.get({url: '/marketing/googleads/placement/stats', params});
};

// 查询 Google Ads 国家统计数据
export const getGoogleAdsCountryStats = (params: {
  siteCode: string;
  start?: string;
  end?: string;
  dateType?: string;
}) => {
  return defHttp.get({url: '/marketing/googleads/country/stats', params});
};